/*******************************************************************************
 * Copyright (c) 2019 Ericsson
 *
 * All rights reserved. This program and the accompanying materials are
 * made available under the terms of the Eclipse Public License 2.0 which
 * accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *******************************************************************************/

package org.eclipse.tracecompass.internal.tmf.ui.views.timegraph;

import org.eclipse.jdt.annotation.Nullable;
import org.eclipse.osgi.util.NLS;

/**
 * Messages
 *
 * @author Matthew Khouzam
 */
public class Messages extends NLS {
    private static final String BUNDLE_NAME = "org.eclipse.tracecompass.internal.tmf.ui.views.timegraph.messages"; //$NON-NLS-1$
    /**
     * Open source message
     */
    public static @Nullable String BaseDataProviderTimeGraphView_OpenSourceActionName;
    /** Hide Empty Rows Action Name */
    public static @Nullable String AbstractTimeGraphView_HideEmptyRowsActionName;
    /** Hide Empty Rows Action Tooltip */
    public static @Nullable String AbstractTimeGraphView_HideEmptyRowsActionTooltip;

    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, Messages.class);
    }

    private Messages() {
        // do nothing
    }
}
